# Virtual Medical Assistant- MEDI AID

**Digital platform as a centralized medical assistant for patients in Sri Lanka.**
*Diagnosing diseases by symptoms and ensuring patient well-being by providing preventive measures.*
1. Diagnosis by symptoms
1. Providing preventive measures
1. Optimal end-user experience
1. Improving understanding of disease


****Main objective****
The main objective is to diagnose diseases based on symptoms, educate patients about the disease, assess its severity, and provide actionable precautions for better health.


**Sub objective**

**Symptom Recognition**- Develop a record system to accurately identify the patient's reported symptoms. 

**Disease Identification** - Implement a dataset of diseases and their associated symptoms to match patient-reported symptoms.

**Disease Information** - Implement a database to provide detailed and user-friendly information about the disease. 

**Severity Assessment** - Advise the patient of the severity of the illness, to help the patient understand the urgency of seeking medical attention.

**Precautionary Measures**- Offer appropriate precautions and preventive measures that users can take to manage or reduce the identified disease.


****Main Research questions****

1. How can a mobile app effectively diagnose diseases based on user-reported symptoms?
1. What educational resources and disease information should be provided to patients through the app?
1. What methods can be used to assess the severity of a disease based on symptoms?
1. What actionable precautions can be recommended to users for managing or preventing diseases based on their symptoms?

**Symptom Recognition:**
*How can a system accurately and efficiently identify and record patient-reported symptoms within a mobile app?*

**Disease Identification:**
* *What dataset and algorithms are most suitable for matching patient-reported symptoms to potential diseases?*
* *How can the system account for variations in symptom descriptions and presentations?*



**Disease Information:**
* What information should be included in the database to provide comprehensive and user-friendly disease information?
* How can the app ensure that the provided disease information is reliable and up-to-date?

**Severity Assessment:**
* What methods or criteria can be employed to assess the severity of a disease based on user-reported symptoms?
* How can the assessment be communicated to users effectively?


**Precautionary Measures:**
* What personalized precautionary measures and preventive recommendations can be generated for users based on their identified diseases?
* How can the app ensure that the recommended precautions are practical and actionable for the user's specific situation?



